Bug 237802

Summary: Wrong init script
Product: [Fedora] Fedora Reporter: Michal Marciniszyn <mmarcini>
Component: avahiAssignee: Martin Bacovsky <mbacovsk>
Status: CLOSED DUPLICATE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: jhrozek, tvujec
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-28 15:49:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 237800    
Bug Blocks:    
Attachments:
Description Flags
A proposed patch for the avahi-daemon init script
none
A proposed patch for the avahi-dnsconf init script none

Description Michal Marciniszyn 2007-04-25 14:53:57 UTC
+++ This bug was initially created as a clone of Bug #237800 +++

Description of problem:
Following code ends up with error code 0 when networking is not presented even
though the service is not started. It also forbids the correct run of status
command of the script.
[ ${NETWORKING} = "no" ] && exit 0

AVAHI_BIN=/usr/sbin/avahi-daemon
test -x $AVAHI_BIN || exit 5
It appears in both avahi-daemon and avahi-dnsconfd. Also incorrect return codes
through the code are present.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. service netowrk stop
2. service avahi-daemon start/status
3. echo $?
  
Actual results:
0

Expected results:
non-zero result with respect to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Jakub Hrozek 2007-05-18 15:38:42 UTC
Created attachment 155008 [details]
A proposed patch for the avahi-daemon init script

Comment 2 Jakub Hrozek 2007-05-18 15:39:51 UTC
Created attachment 155009 [details]
A proposed patch for the avahi-dnsconf init script

Comment 3 Martin Bacovsky 2007-08-28 15:49:38 UTC

*** This bug has been marked as a duplicate of 246875 ***